:root {
    --primary-color: #1ef9cd;
    --secondary-color: #36aec2;
    --accent-color: #ffc107;

    --background-light: #fbfefe;
    --background-dark: #175961;
    --background-grey: #e5e5e4;

    --text-dark: #040d0e;
    --text-light: #fbfefe;
    --text-accent-1: #36aec2;
    --text-accent-2: #1ef9cd;
    --text-accent-3: #175961;
    --text-accent-4: #187e8a;
    --text-secondary: #6c757d;

    --box-shadow: 0px 8px 14px rgba(0, 0, 0, 0.150);
    --border-radius: 18px;

    --font-family: "Montserrat", sans-serif;
    --font-size-base: 16px;
    --font-weight-light: 300;
    --font-weight-normal: 400;
    --font-weight-bold: 700;
}

body {
    font-family: var(--font-family);
    font-size: var(--font-size-base);
    background-color: var(--background-light);
}

header {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    padding: 15px 0;
    z-index: 1000;
    transition: background 0.3s;
}

.header-container {
    max-width: 1440px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
}

.header-logo img {
    height: 50px;
}

.menu {
    list-style: none;
    display: flex;
    gap: 20px;
}

.menu li {
    margin: 0;
}

.menu a {
    text-decoration: none;
    color: white;
    font-size: 18px;
    padding: 10px;
    transition: color 0.3s;
}

.menu a:hover {
    color: var(--primary-color);
}

.menu-toggle {
    display: none;
    font-size: 28px;
    color: var(--text-light);
    cursor: pointer;
    transition: transform 0.3s;
}

.hero {
    height: 100vh;
    background: url('./assets/img/background-hero.png') no-repeat center center/cover;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    z-index: 1;
}

.hero-container{
    max-width: 1440px;
    height: 100vh;
    display: flex;
    flex-direction: row;
    align-items: center;
    overflow: hidden;
    margin: auto auto;
}

.hero-text  {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: left;
    margin-right: 30px;
    margin-left: 30px;
    margin-top: 30px;
}

.hero-text h2 {
    font-size: clamp(36px, 2.8vw, 46px);
    font-weight: 700;
    line-height: 1;
    color: var(--text-light);
    white-space: nowrap;
}

.hero-text h1 {
    font-size: clamp(70px, 5.5vw, 90px);
    font-weight: 700;
    line-height: 1;
    color: var(--text-accent-2);
    white-space: nowrap;
}

.hero-text p {
    font-size: clamp(26px, 2.1vw, 34px);
    font-weight: 300;
    line-height: 1;
    color: var(--text-light);
    white-space: nowrap;
}

.hero-case {
    text-align: left;
    margin-top: 120px;
    font-size: clamp(18px, 3vw, 24px);
    color: var(--text-light);
}

.hero-case img {
    max-width: 250px;
    min-width: 200px;
    margin-top: 15px;
}

.hero-img {
    width: 60vw;
    max-width: 700px;
    min-width: 650px;
    object-fit: contain;
    filter: drop-shadow(3px 3px 5px rgba(0, 0, 0, 0.5));
    align-self: flex-end;
}

.hero-bottom {
    background-color: var(--background-dark);
    width: 100%;
    height: 130px;
    position: absolute;
    bottom: 0;
    z-index: -1;
}

/* api */

.api-container {

    margin: 0 auto;
}

.api-cards-container {
    max-width: 1440px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
    margin: 0 auto;
    margin-top: -150px;
    padding: 50px;
}

.api-card {
    width: 32%;
    height: auto;
    padding: 30px 30px;
    margin: 10px auto;
    background-color: hsla(180, 60%, 99%, 0.912);
    border-radius: var(--border-radius);
    box-shadow: var(--box-shadow);
    text-align: left;
    z-index: 1;
}

.api-card h2 {
    font-size: 20px;
    font-weight: 700;
    color: var(--text-dark);
    margin-top: 16px;
    white-space: nowrap;
}

.api-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 35px;
}

.api-content-container {
    display: flex;
    width: 90%;
    flex-direction: row;
    align-items: center;
}

#api-integration-img {
    width: 50vw;
    height: auto;
}

.api-content-text {
    margin-left: 40px;
    text-align: left;
}

.api-content-text h1 {
    font-size: clamp(24px, 3vw, 48px);
    font-weight: 700;
    color: var(--text-accent-1);
    margin: clamp(10px, 3vw, 20px) 0;
}

.api-content-text p {
    font-size: 16px;
    font-weight: 400;
    color: var(--text-dark);
}

.api-content-text h2 {
    font-size: clamp(20px, 3vw, 24px);
    font-weight: 700;
    color: var(--text-dark);
    margin-top: clamp(10px, 3vw, 20px);
    margin-bottom: clamp(10px, 3vw, 20px);
}

.api-content-text ul {
    font-size: 16px;
    list-style: inside;
    font-weight: 400;
    color: var(--text-dark);
}

.api-content-text li {
    margin: 10px 0;
}

.api-types {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 60px;
}

.api-types h2 {
    font-size: 20px;
    font-weight: 700;
    color: var(--text-dark);
    margin-top: 50px;
}

.api-items {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: start;
    text-align: center;
    margin-top: 20px;
    margin-bottom: 20px;
}

.api-item {
    width: 30%;
    height: auto;
    margin: 10px 40px;
}

.api-item h2 {
    font-size: 18px;
    font-weight: 700;
    color: var(--text-accent-3);
    margin-top: 16px;
}

.api-item p {
    font-size: 16px;
    font-weight: 400;
    color: var(--text-dark);
    margin-top: 16px;
}

.api-cert {
    width: 100%;
    margin-top: 60px;
    background-color: var(--background-grey);
    padding: 100px 0;
}

.api-cert-container {
    display: grid;
    max-width: 1440px;
    grid-template-columns: auto auto;
    margin: 0 auto;
    align-items: start;
}

.api-cert-text {
    text-align: left;
    margin-left: 50px;
}

.api-cert-text h1 {
    font-size: clamp(24px, 3vw, 48px);
    font-weight: 700;
    color: var(--text-accent-1);
    margin-bottom: clamp(10px, 3vw, 20px);
}

.api-cert-text p {
    font-weight: 400;
    color: var(--text-dark);
    margin-bottom: 20px;
}

#api-cert-img {
    width: 100%;
    max-width: 600px;
    height: auto;
    object-fit: cover;
    margin-right: 50px;
}

.api-cert-benefits {
    margin-top: 80px;
}

.api-cert-benefits h1 {
    font-size: 16px;
    font-weight: 700;
    color: var(--text-dark);
    margin-bottom: 20px;
}

.api-cert-benefit {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.benefit-accent {
    right: -270px;
    position: relative;
}

.api-cert-benefit-icon {
    align-self: center;
}

.api-cert-benefit-text {
    margin-left: 20px;
}

.api-cert-benefit-text h2 {
    font-size: 16px;
    font-weight: 700;
    color: var(--text-accent-4);
    margin-top: 16px;
    margin-bottom: 10px;
}

.carousel-container {
    position: relative;
    max-width: 1440px;
    width: 100%;
    overflow: hidden;
    padding: 80px 0;
    background: var(--background-light);
    margin: 0 auto;
}

.carousel-container h1 {
    position: relative;
    font-size: clamp(28px, 3vw, 34px);
    font-weight: 600;
    color: var(--text-accent-1);
    margin-bottom: 40px;
    text-align: center;
}

.carousel-container h1::after {
    content: '';
    display: block;
    width: 40px;
    height: 4px;
    background-color: var(--text-accent-3); 
    margin: 0 auto;
    margin-top: 5px;
}

.carousel {
    display: flex;
    transform: translateX(0);
    transition: transform 0.5s ease;
    width: 100%;
}

.slide {
    flex: 1 0 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: left;
}

.slide img {
    max-width: 380px;
    min-width: 200px;
    height: auto;
    object-fit: contain;
    margin-left: 10%;
}

.slide-content {
    max-width: 520px;
    margin-left: 5%;
    margin-right: 10%;
}

.slide-content h2 {
    color: #0097a7;
    font-size: 44px;
    font-weight: 700;
    margin-bottom: 10px;
}

.slide-content p {
    font-size: 16px;
    color: var(--text-dark);
}

.slide-content ul {
    font-size: 16px;
    list-style: inside;
    font-weight: 400;
    color: var(--text-dark);
    margin-top: 20px;
    margin-bottom: 50px;
}

.control-button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: var(--text-accent-3);
    font-size: 90px;
    width: 15%;
    height: 100%;
    transition: background 0.3s ease;
    cursor: pointer;
    z-index: 10;
}

.control-button.left {
    left: 0.1%;
}

.control-button.right {
    right: 0.1%;
}

.control-button.left:hover {
    color: var(--secondary-color);
    background: rgb(0,0,0);
    background: linear-gradient(90deg, rgba(0, 0, 0, 0.050) 0%, rgba(0,0,0,0) 100%);
}

.control-button.right:hover {
    color: var(--secondary-color);
    background: rgb(0,0,0);
    background: linear-gradient(270deg, rgba(0, 0, 0, 0.050) 0%, rgba(0,0,0,0) 100%);
}

.indicators {
    position: relative;
    display: flex;
    justify-content: center;
    margin: 10px 0;
    gap: 5px;
}

.dot {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.dot.active {
    background-color: #0097a7;
}

.about-us {
    width: 100%;
    background-color: var(--background-grey);
    display: flex;
    flex-direction: row;
    align-items: center;
    margin: 0 auto;
}

.about-us-container {
    max-width: 1440px;
    margin: 0 auto;
    position: relative;
    top: -50px;
}

.about-us-content {
    position: absolute;
    top: 35px;
    left: 40%;
    max-width: 650px;
    margin-right: 50px;
    z-index: 1;
    color: var(--text-light)
}

.about-us-content h1 {
    font-size: 34px;
    font-weight: 700;
    margin-bottom: 30px;
}

.about-us-content p {
    font-size: clamp(16px, 1.5vw, 18px);
    font-weight: 400;
    margin-bottom: 20px;
}

.contact {
    padding: 50px 0;
    background-color: var(--background-grey)
}

.contact-container {
    max-width: 1440px;
    display: flex;
    flex-direction: row;
    margin: 0 auto;
    justify-content: center;
}

.contact-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-right: 10%;
    white-space: nowrap;
}

.contact-content h1 {
    font-size: 28px;
    font-weight: 700;
    color: var(--text-accent-1);
    margin-bottom: 20px;
    text-align: center;
}

.contact-content h1::after {
    content: '';
    display: block;
    width: 70px;
    height: 4px;
    background-color: var(--text-accent-3); 
    margin: 0 auto;
    margin-top: 5px;
}

.contact-content h3 {
    font-size: 18px;
    font-weight: 600;
    color: var(--text-dark);
}

.contact-content h2 {
    font-size: 28px;
    font-weight: 700;
    color: var(--text-accent-1);
    margin-top: 40px;
    margin-bottom: 15px;
}


.contact-form {
    background-color: #53bbb8;
    padding: 20px;
    border-radius: 24px;
    width: 100%;
    max-width: 500px;
}

.contact-form-content {
    margin: 20px;
    text-align: center;
}

.contact-form-content h2 {
    font-size: 32px;
    font-weight: 700;
    color: var(--text-light);
}

.contact-form h1 {
    text-align: center;
    color: var(--text-light);
    margin-bottom: 20px;
}

.input-field {
    width: 100%;
    padding: 10px;
    margin: 10px 0; 
    border-radius: 12px;
    border: none;
    color: var(--text-secondary);
    background-color: var(--background-light);
}

.message-textarea {
    height: 100px;
    resize: none;
}

.submit-button {
    font-weight: 700;
    background-color: var(--primary-color);
    color: var(--text-dark);
    padding: 10px;
    border: none;
    border-radius: 12px;
    cursor: pointer;
    width: 100%;
    transition: background-color 0.3s;
}

.submit-button:hover {
    background-color: var(--text-accent-3);
    color: var(--text-light)
}

.g-recaptcha {
    margin: 10px 0;
    justify-content: center;
}

.footer-container {
    background-color: #2c2424;
    color: var(--text-light);
    padding: 50px 0;

}

.footer-content {
    max-width: 1440px;
    display: flex;
    margin: 0 auto;
    flex-direction: row;
    justify-content: center;
}

.vertical-line {
    width: 1px;
    height: 100px;
    background-color: var(--text-light);
    margin: 0 20px;
}


.footer-content img {
    height: 60px;
    margin: 0 auto;
}

.footer-policies {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    font-size: 14px;
    font-weight: 600;
    white-space: nowrap;
}

.footer-menu {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin: auto;
    font-size: 14px;
}

.footer-menu-items {
    display: flex;
    text-align: center;
    flex-direction: column;
    margin: 0 10px;
    font-weight: 600;
    white-space: nowrap;
}

.footer-bottom img {
    height: 60px;
    margin: 0 auto;
}

.horizontal-line {
    width: 60%;
    height: 1px;
    background-color: var(--text-light);
    margin: 20px auto;
}

/* Media Queries */

@media (max-width: 1440px) {
    .api-card h2 {
        white-space: normal;
    }
}

@media (max-width: 1280px) {
    .hero-text {
        margin-right: 10px;
    }
    .hero-img {
        min-width: 550px;
    }
}

@media (max-width: 1024px) {
    .hero-text {
        margin-right: 0;
    }
    .hero-text h2 {
        font-size: 36px;
    }

    .hero-text h1 {
        font-size: 70px;
    }

    .hero-text p {
        font-size: 26px;
    }

    .hero-case {
        margin-top: 100px;
    }

    .hero-img {
        margin-left: 0;
    }
    
    .about-us-content {
        position: absolute;
        top: 20px;
        left: 40%;
        margin-right: 25px;
    }
    
    .about-us-content h1 {
        margin-bottom: 20px;
    }
    
    .about-us-content p {
        margin-bottom: 10px;
    }

    .contact-content {
        margin-right: 5%;
        margin-left: 30px;
    }
    
    .contact-form {
        margin-right: 30px;
    }
}

@media (max-width: 970px) {
    .about-us {
        width: 100%;
        padding-top: 70px;
        background: rgb(24,128,141);
        background: linear-gradient(160deg, rgba(24,128,141,1) 0%, rgba(36,159,171,1) 100%);
        margin: 0 auto;
    }
    
    .about-us-container {
        display: flex;
        flex-direction: column-reverse;
        margin: 0 auto;
        position: static;
    }

    #about-us-img {
        width: 250px;
        height: auto;
        align-self:flex-end;
    }

    .about-us-content {
        position: static;
        text-align: justify;
        align-self: center;
        margin: 0 50px;
    }
    
    .about-us-content h1 {
        font-size: 24px;
        text-align: center;
    }
    
    .about-us-content p {
        margin-bottom: 15px;
    }

    .contact-container {
        flex-direction: column;
    }
    
    .contact-content {
        margin-top: 30px;
        margin-bottom: 60px;
        margin-right: 30px;
    }
    
    .contact-form {
        width: 100%;
        max-width: 500px;
        margin: 0 auto;
    }
    
    .contact-form-content h2 {
        font-size: 32px;
        font-weight: 700;
        color: var(--text-light);
    }
    
    .contact-form h1 {
        text-align: center;
        color: var(--text-light);
        margin-bottom: 20px;
    }
    
    .input-field {
        width: 100%;
        padding: 10px;
        margin: 10px 0; 
        border-radius: 12px;
        border: none;
        color: var(--text-secondary);
        background-color: var(--background-light);
    }
    
    .message-textarea {
        height: 100px;
        resize: none;
    }
    
    .submit-button {
        font-weight: 700;
        background-color: var(--primary-color);
        color: var(--text-dark);
        padding: 10px;
        border: none;
        border-radius: 12px;
        cursor: pointer;
        width: 100%;
        transition: background-color 0.3s;
    }
    
    .submit-button:hover {
        background-color: var(--text-accent-3);
        color: var(--text-light)
    }
    
    .g-recaptcha {
        margin: 10px 0;
        justify-content: center;
    }
    
    .footer-content {
        flex-direction: column;
    }
    
    .vertical-line {
        width: 150px;
        height: 1px;
        margin: 30px auto;
    }
    
    .footer-menu {
        flex-direction: column;
    }
    
    .footer-bottom img {
        max-height: 40px;
        margin: 0 auto;
    }
    
    .horizontal-line {
        width: 60%;
        height: 1px;
        background-color: var(--text-light);
        margin: 20px auto;
    }
}

@media (max-width: 768px) {
    .menu {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 65px;
        right: 0;
        background: rgba(0, 0, 0, 0.5);
        width: 200px;
        box-shadow: -2px 0 5px rgba(0, 0, 0, 0.5);
        padding-top: 20px;
    }

    .menu li {
        margin: 10px 0;
        text-align: center;
    }

    .menu a {
        color: white;
        font-size: 20px;
    }

    .menu-toggle {
        display: block;
    }

    .menu.active {
        display: flex;
        animation: slideIn 0.3s forwards;
    }

    .hero {
        height: 100vh;
        background: url('./assets/img/background-hero.png') no-repeat center center/cover;
        display: block;
        z-index: 1;
    }
    
    .hero-container{
        height: 100vh;
        display: flex;
        flex-direction: column-reverse;
    }
    
    .hero-text  {
        background-color: var(--background-dark);
        width: 100%;
        height: 40vh;
        padding: 40px 0;
        display: flex;
        flex-direction: column;
        text-align: center;
        align-items: center;
        margin: 0;
    }
    
    .hero-text h2 {
        margin-top: auto;
        font-size: 7.2vw;
        font-weight: 700;
    }
    
    .hero-text h1 {
        font-size: 14vw;
        font-weight: 700;
    }
    
    .hero-text p {
        font-size: 5.4vw;
    }
    
    .hero-case {
        font-size: 5vw;
        text-align: center;
        color: var(--text-light);
        margin: auto;
    }
    
    .hero-case img {
        max-width: 260px;
        min-width: 200px;
        margin: auto;
        margin-top: 5px;
    }
    
    .hero-img {
        margin: 0 auto;
        max-width: auto;
        min-width: auto;
        width: auto;
        height: 45vh;
        filter: drop-shadow(3px 3px 5px rgba(0, 0, 0, 0.5));
    }
    
    .hero-bottom {
        display: none;
    }

    .api-cards-container {
        margin-top: -70px
    }

    .api-card {
        width: auto;
        height: auto;
        margin: 10px auto;
    }

    .api-content {
        margin-top: 20px;
    }
    
    .api-content-container {
        align-items: flex-start;
        flex-direction: column;
        margin-bottom: 20px;
    }
    
    #api-integration-img {
        width: 100vw;
        margin-bottom: 10px;
    }
    
    .api-content-text {
        margin-left: 0;
    }

    .api-types {
        flex-wrap: wrap;
        margin-top: 30px;
    }

    .api-types h2 {
        margin-top: 50px;
    }
    
    .api-items {
        flex-direction: column;
        align-items: center;
    }
    
    .api-item {
        max-width: 350px;
        width: 100%;
        height: auto;
        margin: 20px 20px;
    }
    
    .api-item h2 {
        font-size: 18px;
        font-weight: 700;
        color: var(--text-accent-3);
        margin-top: 16px;
    }
    
    .api-item p {
        font-size: 16px;
        font-weight: 400;
        color: var(--text-dark);
        margin-top: 16px;
    }
    
    .api-cert {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-top: 60px;
        background-color: var(--background-grey);
    }

    .api-cert-container {
        grid-template-columns: 1fr;
    }

    .api-cert-text {
        width: 80%;
        margin: 0 auto 0 auto;
    }

    #api-cert-img {
        order: -1;
        width: 90%;
        margin: 0 auto 40px auto;
    }

    .benefit-accent {
        margin-left: 0;
        position: static;
    }

    .api-cert-benefit-icon {
        align-self: start;
    }

    .carousel-container {
        padding: 40px 0;
    }
    .slide {
        flex-direction: column;
        text-align: center;
    }

    .slide img {
        max-width: 280px;
        margin: 0 auto 20px;
    }

    .slide-content {
        max-width: 100%;
        margin: 0 30px;
    }

    .slide-content h2 {
        font-size: 32px;
    }

    .slide-content p {
        text-align: justify;
    }

    .slide-content ul {
        text-align: justify;
    }

    .control-button {
        top: 46%;
        font-size: 50px;
        width: 10%;
    }

    .indicators {
        gap: 3px;
    }

    .dot {
        width: 8px;
        height: 8px;
    }

    .contact-content h3 {
        font-size: 16px;
    }
}

@keyframes slideIn {
    from {
        right: -200px;
    }
    to {
        right: 0;
    }
}
